package Controllers;

import Controllers.Traitement.MyWindow;
import Controllers.Traitement.ParametreSystem;
import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;
import java.io.IOException;
import org.apache.log4j.xml.DOMConfigurator;

/**
 * JavaFX App
 */
public class App extends Application {

    @Override
    public void start(Stage stage) throws IOException {
        
        DOMConfigurator.configure("./conf/log4j.xml");
        
        ParametreSystem parametre = new ParametreSystem();
        parametre.SetParametre();
        
        MyWindow.NewMyStage();
        MyWindow.setMyParent((Parent) FXMLLoader.load(getClass().getResource("/Views/Authentification.fxml")));
        Scene scene = new Scene(MyWindow.myParent);
        MyWindow.myStage.setScene(scene);
        MyWindow.myStage.show();
    }

    

    public static void main(String[] args) {
        
        launch();
    }

}